Revoke
POST
/oauth/revokeRequest body
requiredapplication/jsonclient_idstringrequiredclient_secretstringrequiredtokenstringrequiredThe access or refresh token to revoke.
token_type_hintstringHint about which token type is being revoked.
Allowed:
access_tokenrefresh_tokenResponses
200
Try it
Server
Bodyapplication/json
Request
curl -X POST "https://api.insy.io/oauth/revoke" \
-H "Content-Type: application/json" \
-d '{
"client_id": "string",
"client_secret": "string",
"token": "string",
"token_type_hint": "access_token"
}'const response = await fetch("https://api.insy.io/oauth/revoke", {
method: "POST",
headers: {
"Content-Type": "application/json"
},
body: JSON.stringify({
"client_id": "string",
"client_secret": "string",
"token": "string",
"token_type_hint": "access_token"
})
});import requests
response = requests.post(
"https://api.insy.io/oauth/revoke",
headers={
"Content-Type": "application/json"
},
json={
"client_id": "string",
"client_secret": "string",
"token": "string",
"token_type_hint": "access_token"
},
)Response
No example response.